<?php /** * Copyright © Magento, Inc. All rights reserved. * See COPYING.txt for license details. */ /** @var $block \Magento\Catalog\Block\Product\View */ ?> <?php $_product = $block->getProduct(); ?> <?php $buttonTitle = __('Update Cart'); ?> <?php if ($_product->isSaleable()): ?> <div class="box-tocart update"><div class="fieldset"><?php if ($block->shouldRenderQuantity()): ?> <div class="field qty"><label class="label" for="qty"><span><?= /* @escapeNotVerified */ __('Qty') ?></span></label> <div class="control"><input type="number" name="qty" id="qty" value="" title="<?= /* @escapeNotVerified */ __('Qty') ?>" class="input-text qty" data-validate="{'required-number':true,digits:true}"/></div></div><?php endif; ?> <div class="actions"><button type="submit" title="<?= /* @escapeNotVerified */ $buttonTitle ?>" class="action primary tocart" id="product-updatecart-button"><span><?= /* @escapeNotVerified */ $buttonTitle ?></span></button> <?= $block->getChildHtml('', true) ?></div></div></div><script type="text/x-magento-init">
        {
            "#product_addtocart_form": {
                "validation": {},
                "addToCart": {
                    "cartButtonId": "#product-updatecart-button",
                    "cartForm": "#product_addtocart_form"
                }
            }
        }</script><?php endif; ?>